Open CASCADE Technology: BRepFill_Evolved Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepFill_Evolved Class Reference

Constructs an evolved volume from a spine (wire or face) and a profile ( wire). More...

`#include <BRepFill_Evolved.hxx>`

## Public Member Functions
| BRepFill_Evolved ()
| BRepFill_Evolved (const TopoDS_Wire &Spine, const TopoDS_Wire &Profile, const gp_Ax3 &AxeProf, const GeomAbs_JoinType Join=GeomAbs_Arc, const Standard_Boolean Solid=Standard_False)
| Creates an evolved shape by sweeping the <Profile> along the <Spine>. <AxeProf> is used to set the position of <Profile> along <Spine> as follows: <AxeProf> slides on the profile with direction colinear to the normal to <Spine>, and its <XDirection> mixed with the tangent to <Spine>. More...
| BRepFill_Evolved (const TopoDS_Face &Spine, const TopoDS_Wire &Profile, const gp_Ax3 &AxeProf, const GeomAbs_JoinType Join=GeomAbs_Arc, const Standard_Boolean Solid=Standard_False)
| Creates an evolved shape by sweeping the <Profile> along the <Spine> More...
void | Perform (const TopoDS_Wire &Spine, const TopoDS_Wire &Profile, const gp_Ax3 &AxeProf, const GeomAbs_JoinType Join=GeomAbs_Arc, const Standard_Boolean Solid=Standard_False)
| Performs an evolved shape by sweeping the <Profile> along the <Spine> More...
void | Perform (const TopoDS_Face &Spine, const TopoDS_Wire &Profile, const gp_Ax3 &AxeProf, const GeomAbs_JoinType Join=GeomAbs_Arc, const Standard_Boolean Solid=Standard_False)
| Performs an evolved shape by sweeping the <Profile> along the <Spine> More...
Standard_Boolean | IsDone () const
const TopoDS_Shape & | Shape () const
| returns the generated shape. More...
const TopTools_ListOfShape & | GeneratedShapes (const TopoDS_Shape &SpineShape, const TopoDS_Shape &ProfShape) const
| Returns the shapes created from a subshape <SpineShape> of the spine and a subshape <ProfShape> on the profile. More...
GeomAbs_JoinType | JoinType () const
const TopoDS_Shape & | Top () const
| Return the face Top if <Solid> is True in the constructor. More...
const TopoDS_Shape & | Bottom () const
| Return the face Bottom if <Solid> is True in the constructor. More...

## Detailed Description

Constructs an evolved volume from a spine (wire or face) and a profile ( wire).

## Constructor & Destructor Documentation

BRepFill_Evolved::BRepFill_Evolved | ( |  | ) |

BRepFill_Evolved::BRepFill_Evolved | ( | const TopoDS_Wire & | Spine,
|  | const TopoDS_Wire & | Profile,
|  | const gp_Ax3 & | AxeProf,
|  | const GeomAbs_JoinType | Join = `GeomAbs_Arc`,
|  | const Standard_Boolean | Solid = `Standard_False`
| ) |  |

Creates an evolved shape by sweeping the <Profile> along the <Spine>. <AxeProf> is used to set the position of <Profile> along <Spine> as follows: <AxeProf> slides on the profile with direction colinear to the normal to <Spine>, and its <XDirection> mixed with the tangent to <Spine>.

BRepFill_Evolved::BRepFill_Evolved | ( | const TopoDS_Face & | Spine,
|  | const TopoDS_Wire & | Profile,
|  | const gp_Ax3 & | AxeProf,
|  | const GeomAbs_JoinType | Join = `GeomAbs_Arc`,
|  | const Standard_Boolean | Solid = `Standard_False`
| ) |  |

Creates an evolved shape by sweeping the <Profile> along the <Spine>

## Member Function Documentation

const TopoDS_Shape& BRepFill_Evolved::Bottom | ( |  | ) | const

Return the face Bottom if <Solid> is True in the constructor.

const TopTools_ListOfShape& BRepFill_Evolved::GeneratedShapes | ( | const TopoDS_Shape & | SpineShape,
|  | const TopoDS_Shape & | ProfShape
| ) |  | const

Returns the shapes created from a subshape <SpineShape> of the spine and a subshape <ProfShape> on the profile.

Standard_Boolean BRepFill_Evolved::IsDone | ( |  | ) | const

GeomAbs_JoinType BRepFill_Evolved::JoinType | ( |  | ) | const

void BRepFill_Evolved::Perform | ( | const TopoDS_Wire & | Spine,
|  | const TopoDS_Wire & | Profile,
|  | const gp_Ax3 & | AxeProf,
|  | const GeomAbs_JoinType | Join = `GeomAbs_Arc`,
|  | const Standard_Boolean | Solid = `Standard_False`
| ) |  |

Performs an evolved shape by sweeping the <Profile> along the <Spine>

void BRepFill_Evolved::Perform | ( | const TopoDS_Face & | Spine,
|  | const TopoDS_Wire & | Profile,
|  | const gp_Ax3 & | AxeProf,
|  | const GeomAbs_JoinType | Join = `GeomAbs_Arc`,
|  | const Standard_Boolean | Solid = `Standard_False`
| ) |  |

Performs an evolved shape by sweeping the <Profile> along the <Spine>

const TopoDS_Shape& BRepFill_Evolved::Shape | ( |  | ) | const

returns the generated shape.

const TopoDS_Shape& BRepFill_Evolved::Top | ( |  | ) | const

Return the face Top if <Solid> is True in the constructor.

The documentation for this class was generated from the following file:

- BRepFill_Evolved.hxx